Product message templates
Message templates active per unit
The product message template object
Attributes
iduuidUnique identifier
created_atread-onlytimestamp with time zoneCreation timestamp
orderintegerOrder of the message template as displayed in the admin
Related resources
Embed related resources in the response with the select parameter, for example select=*,message_templates(*). Resources related through more than one column need the column as a hint, like table!column(*).
message_templates(*)object | nullThe message template referenced by message_template_id.
{
"id": "00000000-0000-0000-0000-000000000000",
"message_template_id": "00000000-0000-0000-0000-000000000000",
"product_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T23:21:07.688Z",
"order": 0
}curl -X GET "https://api.bookingmood.com/v1/product_message_templates?limit=10&select=*,message_templates(*),products(*)" \
-H "Authorization: Bearer YOUR_API_KEY"List product message templates
Filters
idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
orderFilter<integer>Order of the message template as displayed in the admin
Responses
200A list of product message templates with the selected columns
206Partial Content
400The request is malformed, for example an unknown column or an invalid filter.
401The API key is missing or invalid.
code, message, details and hint. See the introduction for more on errors.GET /product_message_templatescurl -X GET "https://api.bookingmood.com/v1/product_message_templates?select=*&limit=10" \
-H "Authorization: Bearer YOUR_API_KEY"[
{
"id": "00000000-0000-0000-0000-000000000000",
"message_template_id": "00000000-0000-0000-0000-000000000000",
"product_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T23:21:07.688Z",
"order": 0
}
]Create product message templates
Body
Partial<ProductMessageTemplate> | Array<Partial<ProductMessageTemplate>>Read-only attributes are set by the database and can't be written.
Responses
201The newly created product message templates with the selected columns
400The request is malformed, for example an unknown column, an invalid filter or an invalid body.
401The API key is missing or invalid.
403The API key has no permission for this change, for example when writing rows of another organization.
409The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.
code, message, details and hint. See the introduction for more on errors.POST /product_message_templatescurl -X POST "https://api.bookingmood.com/v1/product_message_templates" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"message_template_id": "00000000-0000-0000-0000-000000000000",
"order": 0,
"product_id": "00000000-0000-0000-0000-000000000000"
}'[
{
"id": "00000000-0000-0000-0000-000000000000",
"message_template_id": "00000000-0000-0000-0000-000000000000",
"product_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T23:21:07.688Z",
"order": 0
}
]Delete product message templates
Filters
Without filters, this request deletes all product message templates you have access to. Always filter on at least one column, e.g. id=eq.{id}.
idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
orderFilter<integer>Order of the message template as displayed in the admin
Responses
200The deleted product message templates with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.
400The request is malformed, for example an unknown column or an invalid filter.
401The API key is missing or invalid.
403The API key has no permission for this change, for example when writing rows of another organization.
code, message, details and hint. See the introduction for more on errors.DELETE /product_message_templatescurl -X DELETE "https://api.bookingmood.com/v1/product_message_templates?id=eq.00000000-0000-0000-0000-000000000000" \
-H "Authorization: Bearer YOUR_API_KEY"[
{
"id": "00000000-0000-0000-0000-000000000000",
"message_template_id": "00000000-0000-0000-0000-000000000000",
"product_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T23:21:07.688Z",
"order": 0
}
]Update product message templates
Filters
Without filters, this request updates all product message templates you have access to. Always filter on at least one column, e.g. id=eq.{id}.
idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
orderFilter<integer>Order of the message template as displayed in the admin
Body
Partial<ProductMessageTemplate>Read-only attributes are set by the database and can't be written.
Responses
200The updated product message templates with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.
400The request is malformed, for example an unknown column, an invalid filter or an invalid body.
401The API key is missing or invalid.
403The API key has no permission for this change, for example when writing rows of another organization.
409The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.
code, message, details and hint. See the introduction for more on errors.PATCH /product_message_templatescurl -X PATCH "https://api.bookingmood.com/v1/product_message_templates?id=eq.00000000-0000-0000-0000-000000000000" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"order": 0
}'[
{
"id": "00000000-0000-0000-0000-000000000000",
"message_template_id": "00000000-0000-0000-0000-000000000000",
"product_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T23:21:07.688Z",
"order": 0
}
]